=== build_qnx/nto/aarch64/le/Makefile ===
include ../../../common.mk

CMAKE_ARGS += -DCMAKE_SYSTEM_PROCESSOR=aarch64 
FLAGS      += $(VFLAG_le) $(CCVFLAG_le)
LDFLAGS    += $(VFLAG_le) $(LDVFLAG_le)
