=== debian/changelog ===
zeromq3 (4.3.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:35:18 +0000

zeromq3 (4.3.5-1build1) noble; urgency=medium

  * No-change rebuild against libpgm-5.3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 21:31:16 +0000

zeromq3 (4.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Source is relicensed to the MPL-2.0 License.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 14 Oct 2023 15:38:10 +0200

zeromq3 (4.3.4-6) unstable; urgency=medium

  [ Eric Long <i@hack3r.moe> ]
  * Add upstream patch to fix FTBFS on riscv64 (closes: #1029132).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Jan 2023 21:42:24 +0100

zeromq3 (4.3.4-5) unstable; urgency=medium

  * Backport fix for message can't be received due to signal.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 12 Jan 2023 17:24:47 +0100

zeromq3 (4.3.4-4) unstable; urgency=medium

  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Oct 2022 10:41:50 +0200

zeromq3 (4.3.4-3) unstable; urgency=medium

  * Remove zmq{,_addon}.hpp as these provided by cppzmq-dev from now on
    (closes: #972785).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 15 Aug 2022 18:40:34 +0200

zeromq3 (4.3.4-2) unstable; urgency=medium

  * Disable compiler warnings to be an error (closes: 984410).
  * Update zmq{,_addon}.hpp cppzmq files to 4.8.1 version (closes: #988725).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 16 Dec 2021 08:30:42 +0100
